Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2228191 - Review Request: rust-probe - Static instrumentation probes
Summary: Review Request: rust-probe - Static instrumentation probes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/probe
Whiteboard:
Depends On:
Blocks: 2178849
TreeView+ depends on / blocked
 
Reported: 2023-08-01 17:29 UTC by Michel Lind
Modified: 2023-08-05 01:38 UTC (History)
2 users (show)

Fixed In Version: rust-probe-0.5.1-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-01 20:14:45 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2023-08-01 17:29:03 UTC
Spec URL: https://salimma.fedorapeople.org/rust-probe.spec
SRPM URL: https://salimma.fedorapeople.org/rust-probe-0.5.1-1.fc38.src.rpm

Description:
Static instrumentation probes.

Fedora Account System Username: salimma

Comment 1 Fedora Review Service 2023-08-01 17:36:45 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6230306
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2228191-rust-probe/fedora-rawhide-x86_64/06230306-rust-probe/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2023-08-01 18:07:48 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (Apache-2.0 OR MIT) and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 3 Fedora Admin user for bugzilla script actions 2023-08-01 18:09:22 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-probe

Comment 4 Fedora Update System 2023-08-01 20:13:24 UTC
FEDORA-2023-1eff49d9fa has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1eff49d9fa

Comment 5 Fedora Update System 2023-08-02 01:38:34 UTC
FEDORA-2023-ca7cbb5fde has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ca7cbb5fde \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ca7cbb5fde

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-02 01:41:13 UTC
FEDORA-2023-1eff49d9fa has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1eff49d9fa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1eff49d9fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-05 01:19:34 UTC
FEDORA-2023-ca7cbb5fde has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-08-05 01:38:14 UTC
FEDORA-2023-1eff49d9fa has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.